Summary:       KDE BOINC monitor
Name:          kboincspy
Version:       0.9.1
Release:       %mkrel 4
License:       GPLv2+
URL:           http://kboincspy.sf.net/
Group:         Graphical desktop/KDE
Source:        http://downloads.sourceforge.net/kboincspy/%{name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: kdelibs-devel >= 3.3
BuildRequires: desktop-file-utils

%description
KBoincSpy is a KDE monitoring utility for the BOINC distributed client.
Designed to be the successor of KSetiSpy, it offers support for a
virtually unlimited number of BOINC projects through a plugin-based
architecture.

%package devel
Group: Development/KDE and Qt
Summary: Header files for compiling KBoincSpy plugins
Requires: %{name} = %{version}-%{release}

%description devel
This package includes the header files you will need to compile
plugins for KBoincSpy.

%prep
%setup -q

%build
%configure2_5x --disable-rpath
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std

desktop-file-install --vendor='' \
	--dir=%buildroot/%_datadir/applications/kde/ \
	--remove-category='Science' \
	--remove-category='Utility' \
	--add-category='System' \
	%buildroot/%_datadir/applications/kde/*.desktop

%{find_lang} %{name}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%if %mdkversion < 200900
/sbin/ldconfig
%endif
%if %mdkversion < 200900
%update_menus
%endif

%postun
%if %mdkversion < 200900
/sbin/ldconfig
%endif
%if %mdkversion < 200900
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%_bindir/kboincspy
%_libdir/*-%{version}.so
%_libdir/kde3/*.la
%_libdir/kde3/*.so
%_datadir/config.kcfg/*.kcfg
%_datadir/servicetypes/*.desktop
%_datadir/services/*.desktop
%_datadir/apps/kconf_update/*
%_datadir/apps/kboincspy/
%doc %_docdir/HTML/en/kboincspy/
%_iconsdir/crystalsvg/*/apps/*
%_datadir/applications/kde/kboincspy.desktop

%files devel
%_includedir/*
%_libdir/*.la
%_libdir/libkbsastropulse.so
%_libdir/libkbscore.so
%_libdir/libkbseinstein.so
%_libdir/libkbslhc.so
%_libdir/libkbspredictor.so
%_libdir/libkbsseti.so


%changelog
* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.1-4mdv2009.0
+ Revision: 247523
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 29 2007 Funda Wang <fundawang@mandriva.org> 0.9.1-2mdv2008.1
+ Revision: 139307
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Tue Aug 28 2007 Funda Wang <fundawang@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 72457
- fix group
- *.la, *.so should in devel package
- strip spec file
- Import kboincspy



* Mon Feb 06 2006 Roberto Virga <rvirga@users.sf.net> 0.9.1-1
- spit into user and devel packages; updated file list for 0.9.1
* Tue Mar 29 2005 Roberto Virga <rvirga@users.sf.net> 0.9.0-1mdk
- initial build
